import { ISearchQueryDocument } from './api';
import { ISearchModalProps } from './types';
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_TypePropsToRuntimeProps<ISearchModalProps>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "close-modal": () => void;
    "update:model-value": (value: boolean) => void;
    "click-on-instrument": (name: string, instrument: ISearchQueryDocument) => void;
    "click-on-view-all": (query: string) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToRuntimeProps<ISearchModalProps>>> & {
    "onClick-on-instrument"?: ((name: string, instrument: ISearchQueryDocument) => any) | undefined;
    "onUpdate:model-value"?: ((value: boolean) => any) | undefined;
    "onClick-on-view-all"?: ((query: string) => any) | undefined;
    "onClose-modal"?: (() => any) | undefined;
}, {}, {}>, {
    title?(_: {}): any;
    "search-input"?(_: {}): any;
    "recently-viewed"?(_: {
        recentlyViewedInstruments: import("./utils").IRecentlyViewedInstrument[];
        isEmpty: boolean;
    }): any;
    "empty-state"?(_: {}): any;
    filters?(_: {}): any;
    "search-result"?(_: {
        foundInstruments: ISearchQueryDocument[];
        isEmpty: boolean;
    }): any;
    "error-state"?(_: {}): any;
}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
