import { ISearchQueryDocument } from '../../api/types';
export interface ISearchResultProps {
    instruments: ISearchQueryDocument[];
    emptyStateLabel: string;
    viewAll: boolean;
    isLoading: boolean;
    loadingLabel: string;
    viewAllButtonLabel?: string;
    query?: string;
}
export interface ISearchResultEmits {
    (e: 'click-on-instrument', name: string, instrument: ISearchQueryDocument): void;
    (e: 'click-on-view-all', query?: string): void;
}
