import { ESearchQueryTypes, ISearchModalAdditionalLabels, ISearchModalLabels, ISearchModalRequiredLabels } from './types';
export declare const DEFAULT_SINGLE_LINE_ELEMENT_HEIGHT = 40;
export declare const DEFAULT_DIALOG_Z_INDEX = 119;
export declare const DEFAULT_DIALOG_WIDTH = 500;
export declare const SEARCH_QUERY_MAX_INSTRUMENT_COUNT: number;
export declare const RECENTLY_VIEWED_MAX_INSTRUMENT_COUNT: number;
export declare const DEFAULT_SEARCH_QUERY: string;
export declare const DEFAULT_PREFIX: string;
export declare const DEFAULT_FOUND_COUNT: number;
export declare const INFO_CALLBACK_ERROR: string;
export declare const FILTERS_PRESET_ERROR: string;
export declare const INFO_CALLBACK_IGNORE_WARNING: string;
export declare const UNSUPPORTED_PRESET_ERROR: string;
export declare const QUERY_CALLBACK_ERROR: string;
export declare const RECENTLY_VIEWED_ERROR: string;
export declare const SEARCH_QUERY_EXECUTION_ERROR: string;
export declare const SEARCH_INFO_EXECUTION_ERROR: string;
export declare const INVALID_LABEL_KEY: (key: string) => string;
export declare const LABELS_EMPTY_ERROR: string;
export declare const DEFAULT_REQUIRED_MODAL_LABELS: ISearchModalRequiredLabels;
export declare const DEFAULT_ADDITIONAL_MODAL_LABELS: ISearchModalAdditionalLabels;
export declare const DEFAULT_MODAL_LABELS: ISearchModalLabels;
export declare const EXCLUDED_TRADE_TYPES: ESearchQueryTypes[];
export declare const EXCLUDED_INVEST_TYPES: ESearchQueryTypes[];
export declare const CRYPTO_TYPE = ESearchQueryTypes.Cryptocurrencies;
